package jp.co.gihyo.hibernate;

import java.io.Serializable;
import java.util.Date;
import java.util.Set;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class Flight implements Serializable {

    /** identifier field */
    private Integer flightId;

    /** persistent field */
    private String name;

    /** persistent field */
    private Date departureUtc;

    /** persistent field */
    private Date arrivalUtc;

    /** persistent field */
    private Set reservations;

    /** full constructor */
    public Flight(Integer flightId, String name, Date departureUtc, Date arrivalUtc, Set reservations) {
        this.flightId = flightId;
        this.name = name;
        this.departureUtc = departureUtc;
        this.arrivalUtc = arrivalUtc;
        this.reservations = reservations;
    }

    /** default constructor */
    public Flight() {
    }

    public Integer getFlightId() {
        return this.flightId;
    }

    public void setFlightId(Integer flightId) {
        this.flightId = flightId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getDepartureUtc() {
        return this.departureUtc;
    }

    public void setDepartureUtc(Date departureUtc) {
        this.departureUtc = departureUtc;
    }

    public Date getArrivalUtc() {
        return this.arrivalUtc;
    }

    public void setArrivalUtc(Date arrivalUtc) {
        this.arrivalUtc = arrivalUtc;
    }

    public Set getReservations() {
        return this.reservations;
    }

    public void setReservations(Set reservations) {
        this.reservations = reservations;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("flightId", getFlightId())
            .toString();
    }

}
