package jp.co.gihyo.hibernate;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class ReservationPK implements Serializable {

    /** identifier field */
    private int reservationId;

    /** identifier field */
    private int personIdFk;

    /** identifier field */
    private int flightIdFk;

    /** full constructor */
    public ReservationPK(int reservationId, int personIdFk, int flightIdFk) {
        this.reservationId = reservationId;
        this.personIdFk = personIdFk;
        this.flightIdFk = flightIdFk;
    }

    /** default constructor */
    public ReservationPK() {
    }

    public int getReservationId() {
        return this.reservationId;
    }

    public void setReservationId(int reservationId) {
        this.reservationId = reservationId;
    }

    public int getPersonIdFk() {
        return this.personIdFk;
    }

    public void setPersonIdFk(int personIdFk) {
        this.personIdFk = personIdFk;
    }

    public int getFlightIdFk() {
        return this.flightIdFk;
    }

    public void setFlightIdFk(int flightIdFk) {
        this.flightIdFk = flightIdFk;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("reservationId", getReservationId())
            .append("personIdFk", getPersonIdFk())
            .append("flightIdFk", getFlightIdFk())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof ReservationPK) ) return false;
        ReservationPK castOther = (ReservationPK) other;
        return new EqualsBuilder()
            .append(this.getReservationId(), castOther.getReservationId())
            .append(this.getPersonIdFk(), castOther.getPersonIdFk())
            .append(this.getFlightIdFk(), castOther.getFlightIdFk())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getReservationId())
            .append(getPersonIdFk())
            .append(getFlightIdFk())
            .toHashCode();
    }

}
