package jp.co.gihyo.hibernate;

import java.io.Serializable;
import java.util.Date;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class Reservation implements Serializable {

    /** identifier field */
    private jp.co.gihyo.hibernate.ReservationPK comp_id;

    /** persistent field */
    private Date registrationUtc;

    /** nullable persistent field */
    private String comment;

    /** nullable persistent field */
    private jp.co.gihyo.hibernate.Flight flight;

    /** nullable persistent field */
    private jp.co.gihyo.hibernate.Person person;

    /** full constructor */
    public Reservation(jp.co.gihyo.hibernate.ReservationPK comp_id, Date registrationUtc, String comment, jp.co.gihyo.hibernate.Flight flight, jp.co.gihyo.hibernate.Person person) {
        this.comp_id = comp_id;
        this.registrationUtc = registrationUtc;
        this.comment = comment;
        this.flight = flight;
        this.person = person;
    }

    /** default constructor */
    public Reservation() {
    }

    /** minimal constructor */
    public Reservation(jp.co.gihyo.hibernate.ReservationPK comp_id, Date registrationUtc) {
        this.comp_id = comp_id;
        this.registrationUtc = registrationUtc;
    }

    public jp.co.gihyo.hibernate.ReservationPK getComp_id() {
        return this.comp_id;
    }

    public void setComp_id(jp.co.gihyo.hibernate.ReservationPK comp_id) {
        this.comp_id = comp_id;
    }

    public Date getRegistrationUtc() {
        return this.registrationUtc;
    }

    public void setRegistrationUtc(Date registrationUtc) {
        this.registrationUtc = registrationUtc;
    }

    public String getComment() {
        return this.comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public jp.co.gihyo.hibernate.Flight getFlight() {
        return this.flight;
    }

    public void setFlight(jp.co.gihyo.hibernate.Flight flight) {
        this.flight = flight;
    }

    public jp.co.gihyo.hibernate.Person getPerson() {
        return this.person;
    }

    public void setPerson(jp.co.gihyo.hibernate.Person person) {
        this.person = person;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("comp_id", getComp_id())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof Reservation) ) return false;
        Reservation castOther = (Reservation) other;
        return new EqualsBuilder()
            .append(this.getComp_id(), castOther.getComp_id())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getComp_id())
            .toHashCode();
    }

}
