
package jp.co.gihyo.hibernate;

import java.util.*;
import net.sf.hibernate.*;
import net.sf.hibernate.cfg.*;

public class ShowReservations {

    public static void main(String[] args) throws HibernateException {	
	// HibernateŗpNXݒ
        Configuration cfg = new Configuration();
        cfg.addClass(Flight.class);
        cfg.addClass(Person.class);
        cfg.addClass(Reservation.class);

        // ZbV擾        
        SessionFactory sf = cfg.buildSessionFactory();
        Session s = sf.openSession();

        // ID1̏qIuWFNg擾
        Person p = (Person)s.load(Person.class, new Integer(1));
        System.out.println(":" + p.getLastName() + " " + p.getFirstName());

        // 擾q̗\ꗗ擾
        Set reservs = p.getReservations();
        Iterator iter = reservs.iterator();
        while(iter.hasNext()){
            //@̗\擾
            Reservation r = (Reservation)iter.next();
            //@\ɑΉփIuWFNg擾
            Flight f = r.getFlight();
            System.out.println("----");
            System.out.println("\ԍ:"
                       +r.getComp_id().getReservationId());
            System.out.println("֖: "+f.getName());
            System.out.println("o: "+f.getDepartureUtc());
            System.out.println(": "+f.getArrivalUtc());
        }
    }
}
